GuideLab API

Get Clinic Statement

Retrieve full statement details including line items and balance breakdown. Clinic-only. Only returns statements belonging to the authenticated clinic.

GET
/clinic-finances/statements/{id}

Retrieve full statement details including line items and balance breakdown. Clinic-only. Only returns statements belonging to the authenticated clinic.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

id*string

Statement ID

Response Body

application/json

application/json

curl -X GET "https://example.com/clinic-finances/statements/550e8400-e29b-41d4-a716-446655440000"
{  "id": "string",  "statementNumber": "string",  "status": "string",  "lineItems": [    null  ],  "property1": null,  "property2": null}
{  "error": "string"}